<?php
namespace Teknisa\TCO\Services;

 use Zeedhi\Framework\DataSource\DataSet;
 use Zeedhi\Framework\DTO;

class Tco00400TipoContratoService {
    protected $connection;
    
    public function __construct($entityManager, $environment){
        $this->connection = $entityManager->getConnection();
        $this->environment = $environment;
    }
    
    
    public function retornaTipoContratoVinculados($params){
        $sqlUpdate = "SELECT
                            'TCO00400_TIPO_CONTRATO_VINCULADOS_PROPOSTA_COMERCIAL' AS MESSAGECODE,
                            PC.CDPROPOSTACOMERCIAL AS PARAM1,
                            NULL AS PARAM2
                        FROM
                            PROPOSTACOMERCIAL PC
                            JOIN TIPOCONTRATO TC ON PC.NRTIPOCONTRATO = TC.NRTIPOCONTRATO
                        WHERE
                            PC.NRTIPOCONTRATO = :NRTIPOCONTRATO
                        UNION ALL
                        SELECT
                            'TCO00400_TIPO_CONTRATO_VINCULADOS_EFETIVACAO_PROPOSTA' AS MESSAGECODE,
                            S.CDSERVFILI AS PARAM1,
                            S.NMSERVICO AS PARAM2
                        FROM
                            SERVICO S
                            JOIN TIPOCONTRATO TC ON TC.NRTIPOCONTRATO = S.NRTIPOCONTRATO
                        WHERE
                            S.NRTIPOCONTRATO = :NRTIPOCONTRATO";
       try {
            $std = $this->connection->prepare($sqlUpdate);
            $std->execute($params);
            $retorno = $std->fetchAll(); 
            return $retorno;
        } catch (Exception $e){
            throw $e;
        }
    }

}